Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.net
Class BaseNetRequest

    java.lang.Object
      com.ejie.r01f.net.BaseNetRequest

Direct Known Subclasses:
  HttpRequest, HttpsRequest

public abstract class BaseNetRequest
extends java.lang.Object

Clase que se encarga de la comunicación con un servidor. Envia uno o varios parametros al servidor bien por GET o POST Truco muy util : Si la conexion es HTTPS utiliza el parametro -Djavax.net.debug=all

Field Summary
`static int` | `HTTPCALL_GET`
`static int` | `HTTPCALL_POST`
`static java.lang.String` | `PROTOCOL`

Constructor Summary
`BaseNetRequest(java.lang.String inURLStr)` Constructor a partir de una URL en formato cadena con el destino
`BaseNetRequest(java.lang.String inURLStr, java.lang.String theProxyHost, java.lang.String theProxyPort)` Constructor a partir de una URL en formato cadena con el destino
`BaseNetRequest(java.net.URL inTargetURL)` Constructor a partir de una URL con el destino

Method Summary
`abstract java.net.HttpURLConnection` | `getConnection(java.net.URL url)` Metodo abstracto que han de implementar las subclases (HttpCall y HttpsCall) para obtener la conexión
`int` | `getSendMode()`
`long` | `getTimeout()`
`java.lang.String` | `putParameter(java.lang.String name, java.lang.String value)` Añade un parametro a la llamada
`java.io.InputStream` | `send()` Ejecuta la llamada utilizando el metodo (GET/POST) establecido
`java.io.InputStream` | `sendUsingGet()` Ejecuta la llamada vía GET
`java.io.InputStream` | `sendUsingPost()` Ejecuta la llamada via POST
`void` | `setCookie(java.lang.String name, java.lang.String value)` Establece una cookie para enviar al servidor con el nombre y el valor dados La cookie, al igual que todo lo que va en la cabecera http, periste entre llamadas El cliente es responsable de asegurarse de que no hay caracteres ilegales en el nombre o el valor de la cookie
`void` | `setProxyAuthorization(java.lang.String name, java.lang.String password)` Establece la información de autorización para el PROXY en la cabecera http (autenticación básica) El nombre y la clave van como una cadena "Basic usr:psswd" codificada en base64 en un campo de la cabecera llamado Authorization La autorización al igual que los demás campos de la cabecera persisten a lo largo de múltiples llamadas.
`int` | `setSendMode(int modeType)`
`void` | `setTimeout(long newTimeout)`
`void` | `setURIAuthorization(java.lang.String name, java.lang.String password)` Establece la información de autorización para la URL a conectarse en la cabecera http (autenticación básica) El nombre y la clave van como una cadena "Basic usr:psswd" codificada en base64 en un campo de la cabecera llamado Authorization La autorización al igual que los demás campos de la cabecera persisten a lo largo de múltiples llamadas.
`void` | `setURL(java.lang.String inURLStr)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTPCALL_POST

    public static final int HTTPCALL_POST

See Also:
  Constant Field Values

### HTTPCALL_GET

    public static final int HTTPCALL_GET

See Also:
  Constant Field Values

### PROTOCOL

    public static final java.lang.String PROTOCOL

See Also:
  Constant Field Values

Constructor Detail

### BaseNetRequest

    public BaseNetRequest(java.lang.String inURLStr)
                   throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

### BaseNetRequest

    public BaseNetRequest(java.lang.String inURLStr,
                          java.lang.String theProxyHost,
                          java.lang.String theProxyPort)
                   throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

### BaseNetRequest

    public BaseNetRequest(java.net.URL inTargetURL)

  Constructor a partir de una URL con el destino

Method Detail

### setURL

    public void setURL(java.lang.String inURLStr)
                throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### setSendMode

    public int setSendMode(int modeType)

### getSendMode

    public int getSendMode()

### setTimeout

    public void setTimeout(long newTimeout)

### getTimeout

    public long getTimeout()

### send

    public java.io.InputStream send()
                             throws java.io.IOException

  Ejecuta la llamada utilizando el metodo (GET/POST) establecido

  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### sendUsingGet

    public java.io.InputStream sendUsingGet()
                                     throws java.io.IOException

  Ejecuta la llamada vía GET

  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### sendUsingPost

    public java.io.InputStream sendUsingPost()
                                      throws java.io.IOException

  Ejecuta la llamada via POST

  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### putParameter

    public java.lang.String putParameter(java.lang.String name,
                                         java.lang.String value)

  Añade un parametro a la llamada

  Returns:
    (String) El anterior valor del parametro si ya existia

### setCookie

    public void setCookie(java.lang.String name,
                          java.lang.String value)

  Establece una cookie para enviar al servidor con el nombre y el valor dados La cookie, al igual que todo lo que va en la cabecera http, periste entre llamadas El cliente es responsable de asegurarse de que no hay caracteres ilegales en el nombre o el valor de la cookie

### setURIAuthorization

    public void setURIAuthorization(java.lang.String name,
                                    java.lang.String password)

  Establece la información de autorización para la URL a conectarse en la cabecera http (autenticación básica) El nombre y la clave van como una cadena "Basic usr:psswd" codificada en base64 en un campo de la cabecera llamado Authorization La autorización al igual que los demás campos de la cabecera persisten a lo largo de múltiples llamadas.

### setProxyAuthorization

    public void setProxyAuthorization(java.lang.String name,
                                      java.lang.String password)

  Establece la información de autorización para el PROXY en la cabecera http (autenticación básica) El nombre y la clave van como una cadena "Basic usr:psswd" codificada en base64 en un campo de la cabecera llamado Authorization La autorización al igual que los demás campos de la cabecera persisten a lo largo de múltiples llamadas.

### getConnection

    public abstract java.net.HttpURLConnection getConnection(java.net.URL url)
                                                      throws java.io.IOException

  Metodo abstracto que han de implementar las subclases (HttpCall y HttpsCall) para obtener la conexión

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD